Cur.CurLoadContext (xmlbeans API)

org.apache.xmlbeans.impl.store

## Class Cur.CurLoadContext

- java.lang.Object
- - org.apache.xmlbeans.impl.store.Locale.LoadContext
  - - org.apache.xmlbeans.impl.store.Cur.CurLoadContext

- Enclosing class:
    Cur

      public static final class Cur.CurLoadContext
      extends Locale.LoadContext

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CurLoadContext(Locale l, XmlOptions options)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `abort()`
    `void` | `attr(QName name, String value)`
    `protected void` | `attr(String local, String uri, String prefix, String value)`
    `protected void` | `bookmark(XmlCursor.XmlBookmark bm)`
    `protected void` | `bookmarkLastAttr(QName attrName, XmlCursor.XmlBookmark bm)`
    `protected void` | `bookmarkLastNonAttr(XmlCursor.XmlBookmark bm)`
    `protected void` | `comment(char[] chars, int off, int cch)`
    `protected void` | `comment(String comment)`
    `void` | `dump()`
    `protected void` | `endDTD()`
    `protected void` | `endElement()`
    `Cur` | `finish()`
    `protected void` | `lineNumber(int line, int column, int offset)`
    `protected void` | `procInst(String target, String value)`
    `protected void` | `startDTD(String name, String publicId, String systemId)`
    `protected void` | `startElement(QName name)`
    `protected void` | `text(char[] src, int off, int cch)`
    `protected void` | `text(String s)`
    `protected void` | `xmlns(String prefix, String uri)`

    - ### Methods inherited from class org.apache.xmlbeans.impl.store.Locale.LoadContext

      `addIdAttr, isAttrOfTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CurLoadContext

          public CurLoadContext(Locale l,
                                XmlOptions options)

  - ### Method Detail

    - #### startDTD

          protected void startDTD(String name,
                                  String publicId,
                                  String systemId)

      Specified by:
        `startDTD` in class `Locale.LoadContext`

    - #### endDTD

          protected void endDTD()

      Specified by:
        `endDTD` in class `Locale.LoadContext`

    - #### startElement

          protected void startElement(QName name)

      Specified by:
        `startElement` in class `Locale.LoadContext`

    - #### endElement

          protected void endElement()

      Specified by:
        `endElement` in class `Locale.LoadContext`

    - #### xmlns

          protected void xmlns(String prefix,
                               String uri)

      Specified by:
        `xmlns` in class `Locale.LoadContext`

    - #### attr

          public void attr(QName name,
                           String value)

      Specified by:
        `attr` in class `Locale.LoadContext`

    - #### attr

          protected void attr(String local,
                              String uri,
                              String prefix,
                              String value)

      Specified by:
        `attr` in class `Locale.LoadContext`

    - #### procInst

          protected void procInst(String target,
                                  String value)

      Specified by:
        `procInst` in class `Locale.LoadContext`

    - #### comment

          protected void comment(String comment)

      Specified by:
        `comment` in class `Locale.LoadContext`

    - #### comment

          protected void comment(char[] chars,
                                 int off,
                                 int cch)

      Specified by:
        `comment` in class `Locale.LoadContext`

    - #### text

          protected void text(String s)

      Specified by:
        `text` in class `Locale.LoadContext`

    - #### text

          protected void text(char[] src,
                              int off,
                              int cch)

      Specified by:
        `text` in class `Locale.LoadContext`

    - #### bookmark

          protected void bookmark(XmlCursor.XmlBookmark bm)

      Specified by:
        `bookmark` in class `Locale.LoadContext`

    - #### bookmarkLastNonAttr

          protected void bookmarkLastNonAttr(XmlCursor.XmlBookmark bm)

      Specified by:
        `bookmarkLastNonAttr` in class `Locale.LoadContext`

    - #### bookmarkLastAttr

          protected void bookmarkLastAttr(QName attrName,
                                          XmlCursor.XmlBookmark bm)

      Specified by:
        `bookmarkLastAttr` in class `Locale.LoadContext`

    - #### lineNumber

          protected void lineNumber(int line,
                                    int column,
                                    int offset)

      Specified by:
        `lineNumber` in class `Locale.LoadContext`

    - #### abort

          protected void abort()

      Specified by:
        `abort` in class `Locale.LoadContext`

    - #### finish

          public Cur finish()

      Specified by:
        `finish` in class `Locale.LoadContext`

    - #### dump

          public void dump()